Skip to main content
GET
/
inventories
List Inventories
curl --request GET \
  --url https://api.loopreturns.com/api/v1/inventories \
  --header 'X-Authorization: <api-key>'
import requests

url = "https://api.loopreturns.com/api/v1/inventories"

headers = {"X-Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Authorization': '<api-key>'}};

fetch('https://api.loopreturns.com/api/v1/inventories', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "inventories": [
    {
      "available_count": 123,
      "product_variant": {
        "id": 123,
        "name": "<string>",
        "external_id": "<string>",
        "sku": "<string>",
        "weight_grams": 123,
        "barcode": "<string>"
      },
      "location": {
        "id": 123,
        "name": "<string>",
        "address": {
          "name": "<string>",
          "company": "<string>",
          "address1": "<string>",
          "address2": "<string>",
          "city": "<string>",
          "region": "<string>",
          "postal_code": "<string>",
          "country_code": "<string>"
        },
        "external_id": "<string>"
      }
    }
  ],
  "next_page_url": "<string>",
  "previous_page_url": "<string>"
}
{
  "errors": "<string>"
}

Authorizations

X-Authorization
string
header
required

API Scope: "Inventory (read)"

Query Parameters

location_id
integer

The list returned will contain only inventories associated with the specified location.

product_variant_id
integer

The list returned will contain only inventories containing the specified product variant.

limit
integer
default:50

The maximum number of inventories returned.

Required range: x <= 250
sort_order
enum<string>
default:asc

The sort order for the results.

Available options:
asc,
desc
cursor
string

The cursor to return the next page of results.

Response

Success

inventories
object[]
required

An array of inventories.

next_page_url
string | null
previous_page_url
string | null